<?php



$tdatatb_cotacao_material = array();
$tdatatb_cotacao_material[".searchableFields"] = array();
$tdatatb_cotacao_material[".ShortName"] = "tb_cotacao_material";
$tdatatb_cotacao_material[".OwnerID"] = "";
$tdatatb_cotacao_material[".OriginalTable"] = "tb_cotacao_material";


$tdatatb_cotacao_material[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_cotacao_material[".originalPagesByType"] = $tdatatb_cotacao_material[".pagesByType"];
$tdatatb_cotacao_material[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_cotacao_material[".originalPages"] = $tdatatb_cotacao_material[".pages"];
$tdatatb_cotacao_material[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_cotacao_material[".originalDefaultPages"] = $tdatatb_cotacao_material[".defaultPages"];

//	field labels
$fieldLabelstb_cotacao_material = array();
$fieldToolTipstb_cotacao_material = array();
$pageTitlestb_cotacao_material = array();
$placeHolderstb_cotacao_material = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_cotacao_material["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_cotacao_material["Portuguese(Brazil)"] = array();
	$placeHolderstb_cotacao_material["Portuguese(Brazil)"] = array();
	$pageTitlestb_cotacao_material["Portuguese(Brazil)"] = array();
	$fieldLabelstb_cotacao_material["Portuguese(Brazil)"]["cotamatiD"] = "Cotamati D";
	$fieldToolTipstb_cotacao_material["Portuguese(Brazil)"]["cotamatiD"] = "";
	$placeHolderstb_cotacao_material["Portuguese(Brazil)"]["cotamatiD"] = "";
	$fieldLabelstb_cotacao_material["Portuguese(Brazil)"]["materialID"] = "Material ID";
	$fieldToolTipstb_cotacao_material["Portuguese(Brazil)"]["materialID"] = "";
	$placeHolderstb_cotacao_material["Portuguese(Brazil)"]["materialID"] = "";
	$fieldLabelstb_cotacao_material["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipstb_cotacao_material["Portuguese(Brazil)"]["data"] = "";
	$placeHolderstb_cotacao_material["Portuguese(Brazil)"]["data"] = "";
	$fieldLabelstb_cotacao_material["Portuguese(Brazil)"]["cotacao"] = "Cotacao";
	$fieldToolTipstb_cotacao_material["Portuguese(Brazil)"]["cotacao"] = "";
	$placeHolderstb_cotacao_material["Portuguese(Brazil)"]["cotacao"] = "";
	$fieldLabelstb_cotacao_material["Portuguese(Brazil)"]["vigente"] = "Vigente";
	$fieldToolTipstb_cotacao_material["Portuguese(Brazil)"]["vigente"] = "";
	$placeHolderstb_cotacao_material["Portuguese(Brazil)"]["vigente"] = "";
	if (count($fieldToolTipstb_cotacao_material["Portuguese(Brazil)"]))
		$tdatatb_cotacao_material[".isUseToolTips"] = true;
}


	$tdatatb_cotacao_material[".NCSearch"] = true;


	$tdatatb_cotacao_material[".scrollGridBody"] = true;

$tdatatb_cotacao_material[".shortTableName"] = "tb_cotacao_material";
$tdatatb_cotacao_material[".nSecOptions"] = 0;

$tdatatb_cotacao_material[".mainTableOwnerID"] = "";
$tdatatb_cotacao_material[".entityType"] = 0;

$tdatatb_cotacao_material[".strOriginalTableName"] = "tb_cotacao_material";

	



$tdatatb_cotacao_material[".showAddInPopup"] = false;

$tdatatb_cotacao_material[".showEditInPopup"] = false;

$tdatatb_cotacao_material[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_cotacao_material[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_cotacao_material[".listAjax"] = false;
//	temporary
$tdatatb_cotacao_material[".listAjax"] = false;

	$tdatatb_cotacao_material[".audit"] = false;

	$tdatatb_cotacao_material[".locking"] = false;


$pages = $tdatatb_cotacao_material[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_cotacao_material[".edit"] = true;
	$tdatatb_cotacao_material[".afterEditAction"] = 0;
	$tdatatb_cotacao_material[".closePopupAfterEdit"] = 1;
	$tdatatb_cotacao_material[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_cotacao_material[".add"] = true;
$tdatatb_cotacao_material[".afterAddAction"] = 0;
$tdatatb_cotacao_material[".closePopupAfterAdd"] = 1;
$tdatatb_cotacao_material[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_cotacao_material[".list"] = true;
}



$tdatatb_cotacao_material[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_cotacao_material[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_cotacao_material[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_cotacao_material[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_cotacao_material[".printFriendly"] = true;
}



$tdatatb_cotacao_material[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_cotacao_material[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_cotacao_material[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_cotacao_material[".isUseAjaxSuggest"] = true;

$tdatatb_cotacao_material[".rowHighlite"] = true;





$tdatatb_cotacao_material[".ajaxCodeSnippetAdded"] = false;

$tdatatb_cotacao_material[".buttonsAdded"] = false;

$tdatatb_cotacao_material[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_cotacao_material[".isUseTimeForSearch"] = false;


$tdatatb_cotacao_material[".badgeColor"] = "4682b4";


$tdatatb_cotacao_material[".allSearchFields"] = array();
$tdatatb_cotacao_material[".filterFields"] = array();
$tdatatb_cotacao_material[".requiredSearchFields"] = array();

$tdatatb_cotacao_material[".googleLikeFields"] = array();
$tdatatb_cotacao_material[".googleLikeFields"][] = "cotamatiD";
$tdatatb_cotacao_material[".googleLikeFields"][] = "materialID";
$tdatatb_cotacao_material[".googleLikeFields"][] = "data";
$tdatatb_cotacao_material[".googleLikeFields"][] = "cotacao";
$tdatatb_cotacao_material[".googleLikeFields"][] = "vigente";



$tdatatb_cotacao_material[".tableType"] = "list";

$tdatatb_cotacao_material[".printerPageOrientation"] = 0;
$tdatatb_cotacao_material[".nPrinterPageScale"] = 100;

$tdatatb_cotacao_material[".nPrinterSplitRecords"] = 40;

$tdatatb_cotacao_material[".geocodingEnabled"] = false;










$tdatatb_cotacao_material[".pageSize"] = 20;

$tdatatb_cotacao_material[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_cotacao_material[".strOrderBy"] = $tstrOrderBy;

$tdatatb_cotacao_material[".orderindexes"] = array();

$tdatatb_cotacao_material[".sqlHead"] = "SELECT cotamatiD,  	materialID,  	`data`,  	cotacao,  	vigente";
$tdatatb_cotacao_material[".sqlFrom"] = "FROM tb_cotacao_material";
$tdatatb_cotacao_material[".sqlWhereExpr"] = "";
$tdatatb_cotacao_material[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_cotacao_material[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_cotacao_material[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_cotacao_material[".highlightSearchResults"] = true;

$tableKeystb_cotacao_material = array();
$tableKeystb_cotacao_material[] = "cotamatiD";
$tdatatb_cotacao_material[".Keys"] = $tableKeystb_cotacao_material;


$tdatatb_cotacao_material[".hideMobileList"] = array();




//	cotamatiD
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "cotamatiD";
	$fdata["GoodName"] = "cotamatiD";
	$fdata["ownerTable"] = "tb_cotacao_material";
	$fdata["Label"] = GetFieldLabel("tb_cotacao_material","cotamatiD");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cotamatiD";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cotamatiD";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotacao_material["cotamatiD"] = $fdata;
		$tdatatb_cotacao_material[".searchableFields"][] = "cotamatiD";
//	materialID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "materialID";
	$fdata["GoodName"] = "materialID";
	$fdata["ownerTable"] = "tb_cotacao_material";
	$fdata["Label"] = GetFieldLabel("tb_cotacao_material","materialID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "materialID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "materialID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotacao_material["materialID"] = $fdata;
		$tdatatb_cotacao_material[".searchableFields"][] = "materialID";
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "tb_cotacao_material";
	$fdata["Label"] = GetFieldLabel("tb_cotacao_material","data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotacao_material["data"] = $fdata;
		$tdatatb_cotacao_material[".searchableFields"][] = "data";
//	cotacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "cotacao";
	$fdata["GoodName"] = "cotacao";
	$fdata["ownerTable"] = "tb_cotacao_material";
	$fdata["Label"] = GetFieldLabel("tb_cotacao_material","cotacao");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "cotacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cotacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotacao_material["cotacao"] = $fdata;
		$tdatatb_cotacao_material[".searchableFields"][] = "cotacao";
//	vigente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "vigente";
	$fdata["GoodName"] = "vigente";
	$fdata["ownerTable"] = "tb_cotacao_material";
	$fdata["Label"] = GetFieldLabel("tb_cotacao_material","vigente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotacao_material["vigente"] = $fdata;
		$tdatatb_cotacao_material[".searchableFields"][] = "vigente";


$tables_data["tb_cotacao_material"]=&$tdatatb_cotacao_material;
$field_labels["tb_cotacao_material"] = &$fieldLabelstb_cotacao_material;
$fieldToolTips["tb_cotacao_material"] = &$fieldToolTipstb_cotacao_material;
$placeHolders["tb_cotacao_material"] = &$placeHolderstb_cotacao_material;
$page_titles["tb_cotacao_material"] = &$pageTitlestb_cotacao_material;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_cotacao_material"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_cotacao_material"] = array();



	
				$strOriginalDetailsTable="tb_materiais";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_materiais";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_materiais";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_cotacao_material"][0] = $masterParams;
				$masterTablesData["tb_cotacao_material"][0]["masterKeys"] = array();
	$masterTablesData["tb_cotacao_material"][0]["masterKeys"][]="materialID";
				$masterTablesData["tb_cotacao_material"][0]["detailKeys"] = array();
	$masterTablesData["tb_cotacao_material"][0]["detailKeys"][]="materialID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_cotacao_material()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "cotamatiD,  	materialID,  	`data`,  	cotacao,  	vigente";
$proto0["m_strFrom"] = "FROM tb_cotacao_material";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "cotamatiD",
	"m_strTable" => "tb_cotacao_material",
	"m_srcTableName" => "tb_cotacao_material"
));

$proto6["m_sql"] = "cotamatiD";
$proto6["m_srcTableName"] = "tb_cotacao_material";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "materialID",
	"m_strTable" => "tb_cotacao_material",
	"m_srcTableName" => "tb_cotacao_material"
));

$proto8["m_sql"] = "materialID";
$proto8["m_srcTableName"] = "tb_cotacao_material";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "tb_cotacao_material",
	"m_srcTableName" => "tb_cotacao_material"
));

$proto10["m_sql"] = "`data`";
$proto10["m_srcTableName"] = "tb_cotacao_material";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "cotacao",
	"m_strTable" => "tb_cotacao_material",
	"m_srcTableName" => "tb_cotacao_material"
));

$proto12["m_sql"] = "cotacao";
$proto12["m_srcTableName"] = "tb_cotacao_material";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_cotacao_material",
	"m_srcTableName" => "tb_cotacao_material"
));

$proto14["m_sql"] = "vigente";
$proto14["m_srcTableName"] = "tb_cotacao_material";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "tb_cotacao_material";
$proto17["m_srcTableName"] = "tb_cotacao_material";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "cotamatiD";
$proto17["m_columns"][] = "materialID";
$proto17["m_columns"][] = "data";
$proto17["m_columns"][] = "cotacao";
$proto17["m_columns"][] = "vigente";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "tb_cotacao_material";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "tb_cotacao_material";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_cotacao_material";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_cotacao_material = createSqlQuery_tb_cotacao_material();


	
		;

					

$tdatatb_cotacao_material[".sqlquery"] = $queryData_tb_cotacao_material;

$tableEvents["tb_cotacao_material"] = new eventsBase;
$tdatatb_cotacao_material[".hasEvents"] = false;

?>